package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;

public class InventoryCheckStockDtl implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private Integer mstId;
    
    private Integer goodsId;
    
    private String supplier;
    
    private BigDecimal stockNum;
    
    private BigDecimal checkNum;
    
    private BigDecimal diffNum;
    
    private String remark;
    
    private String goodsName;
    
    private String goodsBarCode;
    
    private String goodsCategory;
    
    private String goodsUnit;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public Integer getMstId() {
        return mstId;
    }
    
    public void setMstId(Integer mstId) {
        this.mstId = mstId;
    }
    
    public Integer getGoodsId() {
        return goodsId;
    }
    
    public void setGoodsId(Integer goodsId) {
        this.goodsId = goodsId;
    }
    
    public String getSupplier() {
        return supplier;
    }
    
    public void setSupplier(String supplier) {
        this.supplier = supplier == null ? null : supplier.trim();
    }
    
    public BigDecimal getStockNum() {
        return stockNum;
    }
    
    public void setStockNum(BigDecimal stockNum) {
        this.stockNum = stockNum;
    }
    
    public BigDecimal getCheckNum() {
        return checkNum;
    }
    
    public void setCheckNum(BigDecimal checkNum) {
        this.checkNum = checkNum;
    }
    
    public BigDecimal getDiffNum() {
        return diffNum;
    }
    
    public void setDiffNum(BigDecimal diffNum) {
        this.diffNum = diffNum;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
    
    public String getGoodsName() {
        return goodsName;
    }
    
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }
    
    public String getGoodsBarCode() {
        return goodsBarCode;
    }
    
    public void setGoodsBarCode(String goodsBarCode) {
        this.goodsBarCode = goodsBarCode;
    }
    
    public String getGoodsCategory() {
        return goodsCategory;
    }
    
    public void setGoodsCategory(String goodsCategory) {
        this.goodsCategory = goodsCategory;
    }
    
    public String getGoodsUnit() {
        return goodsUnit;
    }
    
    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }
}